E-MailRelay

Public Member Functions | List of all members
GSsl::OpenSSL::DigesterImp Class Reference

An implementation of the GSsl::DigesterImpBase interface for OpenSSL. More...

`#include <gssl_openssl.h>`

Inheritance diagram for GSsl::OpenSSL::DigesterImp:

## Public Member Functions
| DigesterImp (const std::string &, const std::string &, bool)
| DigesterImp (const DigesterImp &)=delete
| DigesterImp (DigesterImp &&)=delete
void | operator= (const DigesterImp &)=delete
void | operator= (DigesterImp &&)=delete
Public Member Functions inherited from GSsl::DigesterImpBase
virtual | ~DigesterImpBase ()=default
| Destructor.
virtual void | add (const std::string &)=0
| Implements Digester::add().
virtual std::string | value ()=0
| Implements Digester::value().
virtual std::string | state ()=0
| Implements Digester::state().
virtual std::size_t | blocksize () const =0
| Implements Digester::blocksize().
virtual std::size_t | valuesize () const =0
| Implements Digester::valuesize().
virtual std::size_t | statesize () const =0
| Implements Digester::statesize().

## Detailed Description

An implementation of the GSsl::DigesterImpBase interface for OpenSSL.

Definition at line 289 of file gssl_openssl.h.

## Constructor & Destructor Documentation

## ◆ DigesterImp()

GSsl::OpenSSL::DigesterImp::DigesterImp | ( | const std::string & | hash_type,
|  | const std::string & | state,
|  | bool | need_state
| ) |  |

Definition at line 183 of file gssl_openssl.cpp.

## ◆ ~DigesterImp()

GSsl::OpenSSL::DigesterImp::~DigesterImp | ( |  | ) |
| override

Definition at line 238 of file gssl_openssl.cpp.

The documentation for this class was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gssl/gssl_openssl.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gssl/gssl_openssl.cpp